#include <stdio.h>
#include <string.h>
#include "X.h"
#include "os.h"
#include "ibmmouse.h"
#include "ibmfuncs.h"

extern void _near screen_abort(void);
extern int mouse_flags;

void
ddxUseMsg()
{
    ErrorF("-mode #                screen mode\n");
    ErrorF("-3bs                   turn off mouse 3-button simulate mode\n");
}

int
ddxProcessArgument(argc, argv, n)
int argc;
char **argv;
int n;
{
	/* check argv[n] */
	if (strcmp(argv[n], "-mode") == 0)
		return 2;
	if (strcmp(argv[n], "-3bs") == 0) {
		mouse_flags &= ~MOUSE_SIM3;
		return 1;
	}
	return 0;
}

void
AbortDDX()
{
	kbd_abort();
	screen_abort();
}

void
ddxGiveUp()
{
}
